pipeline:
  backend:
    image: rust
      #    environment:
      #      - DATABASE_URL=postgres://postgres:password@database:5432/postgres
    commands:
      #      - make migrate
      - make test
      - make release

  publish_bins:
    image: rust
    when:
      event: [push]
      branch: master
    commands:
    - apt update
    - apt-get -y --no-install-recommends install gpg tar curl wget
    - echo -n "$RELEASE_BOT_GPG_SIGNING_KEY" | gpg --batch --import --pinentry-mode loopback
    - make release
    - ./scripts/bin-publish.sh publish master latest $DUMBSERVE_PASSWORD
    secrets: [ RELEASE_BOT_GPG_SIGNING_KEY, DUMBSERVE_PASSWORD, GPG_PASSWORD ]

  build_docker_img:
    image: plugins/docker
    when:
      branch: !master
    settings:
      dry_run: true
      username: realaravinth
      password:
        from_secret: DOCKER_TOKEN
      repo: realaravinth/librepages-conductor
      tags: latest

  publish:
    image: plugins/docker
    when:
      event: [push]
      branch: master
    settings:
      username: realaravinth
      password:
        from_secret: DOCKER_TOKEN
      repo: realaravinth/librepages-conductor
      tags: latest

        #services:
        #  database:
        #    image: postgres
        #    environment:
        #      - POSTGRES_PASSWORD=password
